Subject: Re: [sip-overload] FW: A few comments/questions on the overload drafts

From: Charles Shen <[email-masked]>
Date: Wed, 2 Dec 2009 16:58:58 -0500

Hi Moran, thanks and comments inline.

> Draft-shen-sipping-load-control-event-package-03.txt
>
> -       8.2: “When the user is identified by the source and a favorable
> action is specified, the result may be comparable to identifying a priority
> user based on authorized Resource Priority Headers {RFC 4412} in the
> requests.”    I’m not sure this is comparable since the invocation of
> priority calls is regulated to be for emergency purposes only.  Thus, a fire
> chief ordering pizza does not constitute the need for priority treatment –
> even though the source is an authorized priority service user.
>

"Comparable" is in the sense that certain calls will be treated
favorably over others. If a fire chief orders pizza using a GETS
phone, I suspect it will be difficult for the system to tell whether
this is a real emergency either. But maybe we can find better wording
here.

> -       4.4: “Therefore, the entity that initiates the filter needs to take
> counter-measures towards any non-conforming neighbors. A simple mode is to
> just drop excessive requests…”  Should this section (paragraph) note the
> possibility of using priority policy as in RFC 4412 before “dropping”
> requests?  It is recognized that section 8.1 mentions this, but this section
> especially warrants reference to 4412 (IMHO).

I think we can mention that RFC 4412 should be honored when making
those dropping decisions (essentially the overload control is not the
sole decision maker).

>
> Is it possible (in the future) to provide an example scenario (or two) of
> how the shen and hilt drafts are complementary – a BCP for their combined
> use so to speak?

I think that would be helpful, when both drafts have achieved
sufficient maturity.

Thanks

Charles

>
> BR,
>
> Timothy Moran
>
> 703-676-2334 (W)
>
> 571-268-0858 (C)
>
> _______________________________________________
> sip-overload mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sip-overload
>
>